use super::schema::member_roles;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "member_roles"]
#[primary_key(role_id, member_id)]
pub struct MemberRole {
  ///
  pub member_id: uuid::Uuid,
  ///
  pub role_id: uuid::Uuid,
  ///
  pub created_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "member_roles"]
pub struct NewMemberRole {
  ///
  pub member_id: uuid::Uuid,
  ///
  pub role_id: uuid::Uuid,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub role_id: Option<uuid::Uuid>,
  ///
  pub member_id: Option<uuid::Uuid>,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::pagination::Sort>>,
}
